Subject: bug#9774: 24.0.90; interrupting smtpmail

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 09 Nov 2011 19:33:19 +0100

emacs user <[email-masked]> writes:

> thanks for responding.  I see this problem when I try to use google's
> smtp server, when behind a firewall that does not allow me to access
> it, for example.  emacs still tries hard to connect, this takes a
> while, and during this time c-g doesn't have an effect.  I don't know
> how to reproduce this without this situation, but perhaps this
> additional information helps?  thanks again...

I see...  hm...  I just tried setting smtpmail to point to an external
SMTP server on port 25.  That port is blocked by my ISP, too, so
smtpmail.el hangs when trying to talk to that port.

But `C-g' works for me when this happens.  Could this be an OS
X-specific bug?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/